Package org.apache.lucene.queryparser.xml.builders

## Class SpanNotBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.SpanBuilderBase
  - - org.apache.lucene.queryparser.xml.builders.SpanNotBuilder

- All Implemented Interfaces:
    `SpanQueryBuilder`, `QueryBuilder`

      public class SpanNotBuilder
      extends SpanBuilderBase

  Builder for `SpanNotQuery`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpanNotBuilder​(SpanQueryBuilder factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SpanQuery` | `getSpanQuery​(Element e)` |

    - ### Methods inherited from class org.apache.lucene.queryparser.xml.builders.SpanBuilderBase

      `getQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanNotBuilder

          public SpanNotBuilder​(SpanQueryBuilder factory)

  - ### Method Detail

    - #### getSpanQuery

          public SpanQuery getSpanQuery​(Element e)
                                 throws ParserException

      Throws:
        `ParserException`